Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 41 lines (35 sloc) 1.137 kB
3d1664a @sferik first commit
sferik authored
1 source 'http://rubygems.org'
2
9887641 @sferik Sort
sferik authored
3 # Bundle gems for the local environment. Make sure to
4 # put test-only gems in this group so their generators
5 # and rake tasks are available in development mode:
6 group :development, :test do
37d633e @sferik Update rails dependency to version 3.0.7
sferik authored
7 gem 'rails', '~> 3.0.7'
64d6b86 @joshk changed the gemspec rails dependency back to 3.0.5 so we don't force …
joshk authored
8
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
sferik authored
9 platforms :jruby do
10 gem 'jruby-openssl', '~> 0.7'
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
11 case ENV['CI_DB_ADAPTER']
12 when 'mysql'
e5f05ec @sferik Merge branch 'master' into ci
sferik authored
13 gem 'activerecord-jdbcmysql-adapter', '~> 1.1', :platform => :jruby
14 gem 'jdbc-mysql', '~> 5.1', :platform => :jruby
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
15 when 'postgresql'
e5f05ec @sferik Merge branch 'master' into ci
sferik authored
16 gem 'activerecord-jdbcpostgresql-adapter', '~> 1.1', :platform => :jruby
572d5f5 @kaapa Update jdbc-postgres dependency for CI to 9.0
kaapa authored
17 gem 'jdbc-postgres', '~> 9.0', :platform => :jruby
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
18 else
e5f05ec @sferik Merge branch 'master' into ci
sferik authored
19 gem 'activerecord-jdbcsqlite3-adapter', '~> 1.1', :platform => :jruby
20 gem 'jdbc-sqlite3', '~> 3.6', :platform => :jruby
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
21 end
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
sferik authored
22 end
23
24 platforms :ruby, :mswin, :mingw do
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
25 case ENV['CI_DB_ADAPTER']
26 when 'mysql'
27 gem 'mysql', '~> 2.8'
28 when 'postgresql'
29 gem 'pg', '~> 0.10'
30 else
8ad0c79 @sferik Update sqlite3 dependency to 1.3.3
sferik authored
31 gem 'sqlite3', '~> 1.3'
ba4928c @kaapa Add CI's dependencies to engine's Gemfile
kaapa authored
32 end
de95b51 @sferik Move JRuby dependencies into Gemfile in order to specify platform
sferik authored
33 end
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
sferik authored
34
35 gem 'cancan' if ENV['AUTHORIZATION_ADAPTER'] == 'cancan'
1ee2f2a @kaapa Update factory_girl dependency to version 2.0.0.beta2
kaapa authored
36 gem 'factory_girl', '2.0.0.beta2'
884866b @fb3 specs for generators
fb3 authored
37 gem 'generator_spec'
352b30e @sferik Cleanup
sferik authored
38 end
ebbe21c @sferik Remove dynamic code from gemspec because it can only be built one way
sferik authored
39
40 gemspec
Something went wrong with that request. Please try again.